From 6fcb5e802bdba961f866f3b461600bc54273a1ad Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 03:55:17 -0400
Subject: [PATCH 2/9] [ar71xx/kernel] upgrade 3.10.50 to 3.10.51 - released
 2014-07-31

[ar71xx/kernel] upgrade 3.10.50 to 3.10.51 - released 2014-07-31

compile tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.51

ahci: add support for the Promise FastTrak TX8660 SATA HBA (ahci mode)
blkcg: don't call into policy draining if root_blkg is already gone
block: don't assume last put of shared tags is for the host
block: provide compat ioctl for BLKZEROOUT
coredump: fix the setting of PF_DUMPCORE
core, nfqueue, openvswitch: Orphan frags in skb_zerocopy and handle errors
hwmon: (smsc47m192) Fix temperature limit and vrm write operations
Input: fix defuzzing logic
libata: introduce ata_host->n_tags to avoid oops on SAS controllers
libata: support the ata host which implements a queue depth less than 32
media: hdpvr: fix two audio bugs
media: tda10071: force modulation to QPSK on DVB-S
mm: hugetlb: fix copy_hugetlb_page_range()
parisc: Remove SA_RESTORER define
s390/ptrace: fix PSW mask check
slab_common: Do not check for duplicate slab names
slab_common: fix the check for duplicate slab names
tracing: Fix wraparound problems in "uptime" trace clock
x86_32, entry: Store badsys error code in %eax
x86/efi: Include a .bss section within the PE/COFF headers

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index c687d21..a91b986 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.50
+LINUX_VERSION:=3.10.51
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4

